#ifndef __WRS_HW_H
#define __WRS_HW_H

#ifdef WRS_PLATFORM_WRS_10G_AFCZ

    #define WRS_FPGA_BASE 0x400000000ULL
    #define WRS_FPGA_SIZE 0x100000ULL

    #define WRS_FPGA_BASE_RT_SUBSYSTEM 0x0000ULL
    #define WRS_FPGA_BASE_RTS_VUART    0x10000ULL
    #define WRS_FPGA_BASE_RTS_GPIO     0x10300ULL

    #define AFCZ_I2C_MUX_CHANNEL_SI570 2
    #define AFCZ_I2C_MUX_CHANNEL_RTM 7


#else

#error Unsupported hardware platform

#endif



#endif